import request from '@/utils/request'

// 查询智能分析数据列表
export function listAnalyze(query) {
  return request({
    url: '/business/analyze/list',
    method: 'get',
    params: query
  })
}

// 查询智能分析数据详细
export function getAnalyze(id) {
  return request({
    url: '/business/analyze/' + id,
    method: 'get'
  })
}

// 新增智能分析数据
export function addAnalyze(data) {
  return request({
    url: '/business/analyze',
    method: 'post',
    data: data
  })
}

// 修改智能分析数据
export function updateAnalyze(data) {
  return request({
    url: '/business/analyze',
    method: 'put',
    data: data
  })
}

// 删除智能分析数据
export function delAnalyze(id) {
  return request({
    url: '/business/analyze/' + id,
    method: 'delete'
  })
}
