import request from '@/utils/request'
// 文件管理列表
export function getManageList(params) {
  return request({
    url: '/business/file/manage/list',
    method: 'get',
    params
  })
}
// 文件共享列表查询
export function selectShareList(params) {
  return request({
    url: '/business/file/manage/selectShareList',
    method: 'get',
    params
  })
}
// 视频标签查询
export function getLabelsList(params) {
  return request({
    url: '/business/label/list',
    method: 'get',
    params
  })
}
// 添加/修改标签
export function modifyTag(data) {
  return request({
    url: '/business/file/manage',
    method: 'put',
    data
  })
}
// 新增视频
export function addManagerVideo(data) {
  return request({
    url: '/business/file/manage',
    method: 'post',
    data
  })
}
// 添加标签
export function saveLabel(data) {
  return request({
    url: '/business/label/saveLabel',
    method: 'post',
    data
  })
}
// 视频共享
export function shareFile(data) {
  return request({
    url: '/business/file/manage/shareFile',
    method: 'post',
    data
  })
}
// 添加标签
export function updateLabel(data) {
  return request({
    url: '/business/label/updateLabel',
    method: 'put',
    data
  })
}
// 删除标签
export function delTag(id) {
  return request({
    url: '/business/label/' + id,
    method: 'delete'
  })
}
// 删除视频
export function deleteFile(id) {
  return request({
    url: '/business/file/manage/deleteFile/' + id,
    method: 'delete'
  })
}
// 删除视频标签
export function delVideoListTag(id) {
  return request({
    url: '/business/file/manage/' + id,
    method: 'delete'
  })
}
