import request from '@/utils/request'

// 查询智能运维管理-自动网络拓扑列表
export function listTopology(query) {
  return request({
    url: '/business/topology/list',
    method: 'get',
    params: query
  })
}

// 查询智能运维管理-自动网络拓扑详细
export function getTopology(id) {
  return request({
    url: '/business/topology/' + id,
    method: 'get'
  })
}

// 新增智能运维管理-自动网络拓扑
export function addTopology(data) {
  return request({
    url: '/business/topology',
    method: 'post',
    data: data
  })
}

// 修改智能运维管理-自动网络拓扑
export function updateTopology(data) {
  return request({
    url: '/business/topology',
    method: 'put',
    data: data
  })
}

// 删除智能运维管理-自动网络拓扑
export function delTopology(id) {
  return request({
    url: '/business/topology/' + id,
    method: 'delete'
  })
}
